<?PHP
////++++++++++++++++ CONFIGURACIÓN FASE 1 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("../Conections/$VpnEn.php");

$Cve_Modulo = "CMOD201506100169";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];

	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
	
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}
		
		//////Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveBodCR1=$registroCR1["CVE_BODEGA"];
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}

////++++++++++++++ FIN CONFIGURACIÓN FASE 1 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////		
?>		
<!--<!DOCTYPE html>-->
<!--<html>-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width"/>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">

<link rel="shortcut icon" href="../SIMA_Resourses/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>
<style type="text/css">
.Clase_TipoLetraTitulos {
	font-family: <?PHP echo $FuTi_Form; ?>;
	font-size:<?PHP echo $TaTi_Form; ?>px;
	color:<?PHP echo $BgTi_Form; ?>;
}
.Clase_TipoLetra {
	font-family: Microsoft Sans Serif;
	font-size:12px;
	color:#333;
}
.Clase_INPUT_Text {
	border: 1px solid <?PHP echo $Borde_Form; ?>;
	background: #FFFFFF;
	COLOR: #000000;
	FONT-FAMILY: Arial, Helvetica, sans-serif;
	FONT-SIZE: 12px;
	}

</style>
<link href="jquery-mobile/jquery.mobile-1.0.min.css" rel="stylesheet" type="text/css"/>
<script src="jquery-mobile/jquery-1.6.4.min.js" type="text/javascript"></script>
<script src="jquery-mobile/jquery.mobile-1.0.min.js" type="text/javascript"></script>

<!-- Inicia Validador de Inactividad -->
<script type="text/javascript">
var Inac;
function ini() {
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
function parar() {
  clearTimeout(Inac);
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
</script>

<!-- Termina Validador de Inactividad -->

</head>

<body onload="ini()" onkeypress="parar()" onclick="parar()"> 
<!-- Inicia Cuerpo de la Interfaz Gráfica -->
<div data-role="page" id="page">
<?PHP
////++++++++++++++++ CONFIGURACIÓN FASE 2 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
		
		/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3

////++++++++++++++ FIN CONFIGURACIÓN FASE 2 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////
?>

	<div data-role="header">    
		<h1>|| LOGSYS - WMS ||</h1>
	</div>
  <div data-role="content" align="center">	
	  <!-- Inicia Cuerpo de la Pantalla -->
		<?PHP
			////Arrastrando campos
			$NoDoc_En=$_GET['txt_Docu'] or $NoDoc_En=$_POST['txt_Docu'];
			$Ref1_En=$_GET['txt_Ref1'] or $Ref1_En=$_POST['txt_Ref1'];
			$Ref2_En=$_GET['txt_Ref2'] or $Ref2_En=$_POST['txt_Ref2'];
			$TiEnt_En=$_GET['Cmb_TiEnt'] or $TiEnt_En=$_POST['Cmb_TiEnt'];
			$Prove_En=$_GET['Cmb_Prov'] or $Prove_En=$_POST['Cmb_Prov'];
			///
			$FeDctoFis_En=$_GET['txt_FeDctoFis'] or $FeDctoFis_En=$_POST['txt_FeDctoFis'];
			$Ref3_En=$_GET['txt_Ref3'] or $Ref3_En=$_POST['txt_Ref3'];
			$FeCodAgr_En=$_GET['txt_FeCodAg'] or $FeCodAgr_En=$_POST['txt_FeCodAg'];
			$Remi_En=$_GET['Cmb_Remi'] or $Remi_En=$_POST['Cmb_Remi'];
			$NoPall_En=$_GET['txt_NoPall'] or $NoPall_En=$_POST['txt_NoPall'];
			$NoPaq_En=$_GET['txt_NoPaque'] or $NoPaq_En=$_POST['txt_NoPaque'];
			$Peso_En=$_GET['txt_Peso'] or $Peso_En=$_POST['txt_Peso'];
			
			
			if ($TiEnt_En=="N/A")
				{
					echo "<script>alert('Favor de seleccionar el Tipo de Entrada a Utilizar..');</script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=7-ReciboPreClasifica_CD1.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
				}
				else
				{
			if ($Prove_En=="")
				{
					echo "<script>alert('Favor de seleccionar el Proveedor/Cliente a Utilizar.');</script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=7-ReciboPreClasifica_CD1.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
				}
				else
				{
			if ($Remi_En=="")
				{
					echo "<script>alert('Favor de seleccionar el Remitente a Utilizar.');</script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=7-ReciboPreClasifica_CD1.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
				}
				else
				{
			if ($Ref1_En=="")
				{
					echo "<script>alert('Favor de digitar el Número de Referencia.');</script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=7-ReciboPreClasifica_CD1.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
				}
				else
				{
			
			///////Detectar si el numero de documento lo genera el WMS		
			if ($NoDoc_En=="")
				{ ///Inicia If Proc 1
				
					/////////Identificar el prefijo configurado
					$sqlIDE1 = mysql_query("select * from wms_configura_recibo WHERE CVE_CUENTA='$CveCueCR1'");
					if (mysql_numrows($sqlIDE1)==0) echo "";
					else{
					$registroIDE1=mysql_fetch_array($sqlIDE1);
					}
					if (mysql_numrows($sqlIDE1)>0)
					{
					$PrefijoCta=$registroIDE1["PREFIJO_DOCRECIBO"];
					}
					
					////Generador de Folio para gsrdar el consecutivo de la clave de documento en la tabla_consedocres
					$FechaDocuRes=date("Ymd");
				
					$sqlDS = "select max(IDINCRE) as ultimo_FOLIODS from tabla_consedocres WHERE FECHA='$FechaDocuRes'"; 
					$libDS = mysql_query($sqlDS); 
					$rs_libDS = mysql_fetch_assoc($libDS); 
					$id_nuevoDS = $rs_libDS['ultimo_FOLIODS'] + 1;
				
					if ($id_nuevoDS <=9)
					{
					$IdenCeros="0000";
					$ClaveDocSur=$PrefijoCta.$FechaDocuRes.$IdenCeros.$id_nuevoDS;
					$NoDoc_En=$ClaveDocSur;
					}
				
					if ($id_nuevoDS >=10 and $id_nuevoDS <=99)
					{
					$IdenCeros="000";
					$ClaveDocSur=$PrefijoCta.$FechaDocuRes.$IdenCeros.$id_nuevoDS;
					$NoDoc_En=$ClaveDocSur;
					}
				
					if ($id_nuevoDS >=100 and $id_nuevoDS <=999)
					{
					$IdenCeros="00";
					$ClaveDocSur=$PrefijoCta.$FechaDocuRes.$IdenCeros.$id_nuevoDS;
					$NoDoc_En=$ClaveDocSur;
					}
					
					if ($id_nuevoDS >=1000 and $id_nuevoDS <=9999)
					{
					$IdenCeros="0";
					$ClaveDocSur=$PrefijoCta.$FechaDocuRes.$IdenCeros.$id_nuevoDS;
					$NoDoc_En=$ClaveDocSur;
					}
					
					if ($id_nuevoDS >9999)
					{
					$ClaveDocSur=$PrefijoCta.$FechaDocuRes.$id_nuevoDS;
					$NoDoc_En=$ClaveDocSur;
					}
					
					////Generador de Folio para guardar el consecutivo del # de Documento de Recibo
					$sqlIDP2 = "select max(ID) as ultimo_FOLIOP2 from tabla_consedocres"; 
					$libP2 = mysql_query($sqlIDP2); 
					$rs_libP2 = mysql_fetch_assoc($libP2); 
					$id_nuevoP2 = $rs_libP2['ultimo_FOLIOP2'] + 1;
									
					////Guardar en la BD el consecutivo del # de Documento de Recibo
					$sqlGDS = "insert tabla_consedocres (ID,CVE_BODEGA,CVE_CUENTA,IDINCRE,NO_DOCUMENTO,FECHA)
        			values('$id_nuevoP2','$CveBodCR1','$CveCueCR1','$id_nuevoDS','$NoDoc_En','$FechaDocuRes')";
					$resultadoGDS=mysql_query($sqlGDS,$conexion) or die(mysql_error());
					
				} ///Termina If Proc 1
					
					$sql_ID = mysql_query("select * from tabla_documentos WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOC_COMPLE='$NoDoc_En'");
					if (mysql_numrows($sql_ID)<>0) 
					{
						echo "<script>alert('El Numero de Documento seleccionado ya existe dentro del Sistema.\\nFavor de corroborarlo.');</script>";
						echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=7-ReciboPreClasifica_CD1.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
					}
					else
					{///Inicia Else Validar Documento Existencia
					
						///////GENERADOR DE FOLIO///////////
						$sqlID = "select max(ID) as ultimo_FOLIO from tabla_documentos"; 
						$lib = mysql_query($sqlID); 
						$rs_lib = mysql_fetch_assoc($lib); 
						$id_nuevo = $rs_lib['ultimo_FOLIO'] + 1;
					
						//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
						
						/////Vigencia de Documento
						$VigenciaFecha = strtotime ( '+15 day' , strtotime ( $Fecha ) ) ;
						$VigenciaFecha = date ( 'Y/m/d' , $VigenciaFecha );
								
						//////GUARDAR EL LA BD//////////
						$sqlGP = "insert into tabla_documentos (ID,CVE_BODEGA,CVE_CUENTA,NO_DOCUMENTO,NO_DOC_COMPLE,REFERENCIA_1,REFERENCIA_2,CODIGO_AGRUPADOR,FECHA_CAGRUPADOR,ESTADO_DOCUMENTO,TIPODEINGRESO,PROVEEDOR,REMITENTE,FECHA_DOCFISICO,NO_PALLETS,NO_PAQUETES,PESO,VIGENCIA,FECHA_REG,HORA_REG,USUARIO_REG)
			        values('$id_nuevo','$CveBodCR1','$CveCueCR1','$NoDoc_En','$NoDoc_En','$Ref1_En','$Ref2_En','$Ref3_En','$FeCodAgr_En','CREADO','$TiEnt_En','$Prove_En','$Remi_En','$FeDctoFis_En','$NoPall_En','$NoPaq_En','$Peso_En','$VigenciaFecha','$Fecha','$HoraOK','$UsuEn')";

						$resultadoGP=mysql_query($sqlGP,$conexion) or die(mysql_error());
		
						echo "<script>alert('REGISTRO GUARDADO CORRECTAMENTE');</script>";
						echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=7-ReciboPreClasifica_CD3.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&DocRe_Kp=$NoDoc_En'>";
					
					}///Termina Else Validar Documento Existencia
				}
				}
				}
				}
		?>
      <!-- Termina Cuerpo de la Pantalla -->		
	</div>
	<div data-role="footer">
	  <h4><font size="2">www.logsyswms.com | Usuario: <?PHP echo $UsuEn; ?></font></h4>
  </div>
</div>
<!-- Termina Cuerpo de la Interfaz Gráfica -->
<?PHP
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>
</body>
</html>
